curl --request POST \
--url https://api.comstruct.com/v1/invoice-dimensions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"label": "Cost Center",
"placement": "account",
"is_mandatory": true,
"type": "option",
"auto_assign_gl_account": false,
"recognition": true,
"description": "<string>"
}
'import requests
url = "https://api.comstruct.com/v1/invoice-dimensions"
payload = {
"label": "Cost Center",
"placement": "account",
"is_mandatory": True,
"type": "option",
"auto_assign_gl_account": False,
"recognition": True,
"description": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'Cost Center',
placement: 'account',
is_mandatory: true,
type: 'option',
auto_assign_gl_account: false,
recognition: true,
description: '<string>'
})
};
fetch('https://api.comstruct.com/v1/invoice-dimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"placement": "header",
"type": "option",
"is_mandatory": true,
"auto_assign_gl_account": true,
"recognition": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Create invoice dimension
Erforderliche Berechtigungen: invoices:write
Erstellt eine neue Rechnungs-Dimension. Anschließend müssen Dimension-Optionen (die wählbaren Werte) über POST /invoice-dimensions//options angelegt werden. Placement header = Dimension für die gesamte Rechnung; account = Dimension pro Kontierung.
Authorizations
API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.
Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.
Body
"Cost Center"
header, line_item, account "account"
true
option (Standard) erfordert später Optionen; text erlaubt Freitext-Zuweisungen ohne Optionen.
option, text Optionale Beschreibung der Dimension
Response
Dimension erstellt
Dimension-UUID
Bezeichnung der Dimension (z. B. Kostenstelle, Projekt)
Ebene (header = gesamte Rechnung, line_item = Rechnungsposition, account = Kontierung)
header, line_item, account option: Werte aus vordefinierten Dimension-Optionen (option_id bei Zuweisungen).
text: Freitext pro Zuweisung (dimension_id + text_value); keine Optionen erforderlich.
option, text Ob die Dimension Pflicht ist
Wenn aktiv, füllt die Zuweisung einer Option mit verknüpftem Sachkonto das G/L-Feld der Kontierung automatisch (nur sinnvoll bei Options-Dimensionen auf Kontoebene).
Wenn false, versucht die KI-Extraktion keine Werte für diese Dimension zu erkennen.